Name: ede
Version: 1.1
Release: alt0.1


Summary: The core programs for the Equinox Desktop Environment

Url: http://ede.sourceforge.net/
License: GPL
Group: Graphical desktop/Other

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/ede/%name-%version.tar.bz2
Source1: %name.png

# FIXME: manually changed: xorg-x11-devel-static
# Automatically added by buildreq on Sun Sep 11 2005
BuildRequires: gcc-c++ libefltk-devel libjpeg-devel libpng-devel libstdc++-devel xorg-x11-devel zlib-devel

BuildRequires: libefltk-devel >= 2.0.6

%description
Equinox Desktop Environment (EDE) is desktop environment - the piece of
software that enables you to launch applications in a convenient way,
show what windows you have opened, manages icons and background of your
desktop, etc. This core package provides panel with tasklist, clock,
load status; icon manager that take care of your icons on background,
control panel for easy access to your settings, sound volume control,
color configuration, panel configuration, menu editor, icons configuration,
tips, time/date and timezone configuration, fast file search tool and of
course window manager that manages your windows with config utility.

%prep
%setup -q -n %name
%__subst "s|@prefix@/share|\${datadir}|g" makeinclude.in

%build
%configure
%make

%install
# Why it is needed?
%__install -d %buildroot%_bindir
%__install -d %buildroot%_datadir

%makeinstall

>%name.lang
for i in %buildroot%_datadir/locale/ru/LC_MESSAGES/*.mo ; do
	%find_lang --append --output %name.lang `basename $i .mo`
done

%__install -D %SOURCE1 %buildroot%_iconsdir/%name.png

%__mkdir_p %buildroot%_sysconfdir/X11/wmsession.d
%__cat >"%buildroot%_sysconfdir/X11/wmsession.d/15%name" <<__EOF__
NAME=EDE
DESC=Equinox Desktop Environment
EXEC=%_bindir/startede
SCRIPT:
exec %_bindir/startede
ICON=%_iconsdir/%name.png
__EOF__

%post
%update_wms

%postun
%clean_wms

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README
#%doc %_datadir/ede/doc/*
%_bindir/*
%_datadir/ede
%_iconsdir/%name.png
%config %_sysconfdir/X11/wmsession.d/*

%changelog
* Sun Sep 03 2006 Vitaly Lipatov <lav@altlinux.ru> 1.1-alt0.1
- new version 1.1 (with rpmrb script)

* Wed Sep 14 2005 Vitaly Lipatov <lav@altlinux.ru> 1.0.4-alt0.2
- fix start from DM
- add icon for DM

* Sun Sep 11 2005 Vitaly Lipatov <lav@altlinux.ru> 1.0.4-alt0.1
- first build for ALT Linux Sisyphus

* Mon Jan 31 2005 Vedran Ljubovic <vljubovic@smartnet.ba> 1.0.2-1ede
- new build system in EDE
- Better distro-independance
- Patches merged upstream

* Fri Dec 17 2004 Vedran Ljubovic <vljubovic@smartnet.ba> 1.0.1.1-2
- Patch for GCC 3.4 and a possible typo
- Fix for prefix to make (code uses it and so a bunch of stuff doesn't work)
- Remove locale (doesn't seem to get made?)
- Some mandrake specific stuff

* Mon Jan 01 2004 nobody <nobody@nobody> 1.0.1.1-1
- Initial autogenerated release
